# org.springframework.web.socket.handler

## Interfaces

- WebSocketHandlerDecoratorFactory

## Classes

- AbstractWebSocketHandler
- BeanCreatingHandlerProvider
- BinaryWebSocketHandler
- ConcurrentWebSocketSessionDecorator
- ExceptionWebSocketHandlerDecorator
- LoggingWebSocketHandlerDecorator
- PerConnectionWebSocketHandler
- TextWebSocketHandler
- WebSocketHandlerDecorator
- WebSocketSessionDecorator

## Enums

- ConcurrentWebSocketSessionDecorator.OverflowStrategy

## Exceptions

- SessionLimitExceededException